Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xml.sax
Class SAXException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SAXNotRecognizedException, SAXNotSupportedException, SAXParseException

public class SAXException
extends java.lang.Exception

Encapsulate a general SAX error or warning.

> This module, both source code and documentation, is in the Public Domain, and comes with NO WARRANTY. See http://www.saxproject.org for further information.

This class can contain basic error or warning information from either the XML parser or the application: a parser writer or application writer can subclass it to provide additional functionality. SAX handlers may throw this exception or any exception subclassed from it.

If the application needs to pass through other types of exceptions, it must wrap those exceptions in a SAXException or an exception derived from a SAXException.

If the parser or application needs to include information about a specific location in an XML document, it should use the `SAXParseException` subclass.

Since:
  SAX 1.0
Version:
  2.0r2pre3
Author:
  David Megginson
See Also:
  `SAXParseException`, Serialized Form

Constructor Summary
`SAXException()` Create a new SAXException.
`SAXException(java.lang.Exception e)` Create a new SAXException wrapping an existing exception.
`SAXException(java.lang.String message)` Create a new SAXException.
`SAXException(java.lang.String message, java.lang.Exception e)` Create a new SAXException from an existing exception.

Method Summary
`java.lang.Exception` | `getException()` Return the embedded exception, if any.
`java.lang.String` | `getMessage()` Return a detail message for this exception.
`java.lang.String` | `toString()` Override toString to pick up any embedded exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXException

    public SAXException()

  Create a new SAXException.

### SAXException

    public SAXException(java.lang.String message)

  Create a new SAXException.
  Parameters:
    `message` - The error or warning message.

### SAXException

    public SAXException(java.lang.Exception e)

  Create a new SAXException wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the SAXException.

  Parameters:
    `e` - The exception to be wrapped in a SAXException.

### SAXException

    public SAXException(java.lang.String message,
                        java.lang.Exception e)

  Create a new SAXException from an existing exception.

  The existing exception will be embedded in the new one, but the new exception will have its own message.

  Parameters:
    `message` - The detail message.
    `e` - The exception to be wrapped in a SAXException.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Return a detail message for this exception.

  If there is an embedded exception, and if the SAXException has no detail message of its own, this method will return the detail message from the embedded exception.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The error or warning message.

### getException

    public java.lang.Exception getException()

  Return the embedded exception, if any.
  Returns:
    The embedded exception, or null if there is none.

### toString

    public java.lang.String toString()

  Override toString to pick up any embedded exception.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    A string representation of this exception.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.